#
# spec file for package autofdo
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           autofdo
Version:        0.16
Release:        bp153.1.18
Summary:        A tool to convert perf.data profile to AutoFDO profile
License:        Apache-2.0
Group:          Development/Tools/Other
Url:            https://github.com/google/autofdo
Source:         https://github.com/google/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  libopenssl-devel
BuildRequires:  libunwind-devel
BuildRequires:  zlib-devel
%if 0%{?suse_version} > 1320
BuildRequires:  clang-devel
BuildRequires:  llvm-devel
%endif

%description
The repository contains a tool to convert perf.data profile to AutoFDO
profile that can be used by GCC and LLVM.

Each compiler is supported by a different tool. For GCC, use
'create_gcov'. For LLVM, use 'create_llvm_prof'. The two tools
have compatible command line flags. However, the outputs are
incompatible. You cannot use the profile generated for GCC in
LLVM and vice-versa.

%prep
%setup -q

%build
autoreconf -fiv
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc README COPYING
%{_bindir}/create_gcov
%{_bindir}/dump_gcov
%{_bindir}/sample_merger
%{_bindir}/profile_merger
%{_bindir}/profile_diff
%{_bindir}/profile_update
%{_bindir}/create_llvm_prof

%changelog
* Wed Jul 12 2017 mliska@suse.cz
- Update to version 0.16:
  * Remove all patches that are not needed any longer: autofdo-rpath.patch,
  0001-Newer-perf-tools-keep-adding-new-perf-record-generat.patch and
  0002-Disabled-predicted-sanity-check-for-Atom.patch.
* Mon Jul 10 2017 mliska@suse.cz
- Add 0001-Newer-perf-tools-keep-adding-new-perf-record-generat.patch and
  0002-Disabled-predicted-sanity-check-for-Atom.patch is order to have
  it working with new kernels.
* Sat Feb 18 2017 mpluskal@suse.com
- Enable llvm support:
  * Add autofdo-rpath.patch
- Packaging changes:
  * Use pretty name of tarball
  * Update dependencies
* Mon Oct 10 2016 mliska@suse.cz
- Initial version 0.15
